.c-blog-post-item_author {
    font-weight: bold;
    margin-bottom: 5px;
    display: inline-block;
}
.c-blog-post-item_date{
    font-weight: bold;
    margin-bottom: 5px;
    display: inline-block;
    margin-left: 5px;
    border-left: 1px solid #8a8a8a;
    padding-left: 10px;
}

h5:not([class]) {
    margin-top: 1.25em;
    margin-bottom: 0.75em;
    display: inline-block;
}
h5:not([class]):nth-of-type(2){
    margin-left: 5px;
    border-left: 1px solid #8a8a8a;
    padding-left: 10px;
}